Package com.destroystokyo.paper.event.server

# Class WhitelistToggleEvent

java.lang.Object
org.bukkit.event.Event
com.destroystokyo.paper.event.server.WhitelistToggleEvent

public class WhitelistToggleEvent extends Event
This event is fired when whitelist is toggled

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`WhitelistToggleEvent(boolean enabled)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isEnabled()`
Gets whether whitelist is going to be enabled or not

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WhitelistToggleEvent

public WhitelistToggleEvent(boolean enabled)

## Method Details

### isEnabled

public boolean isEnabled()
Gets whether whitelist is going to be enabled or not

Returns:
  Whether whitelist is going to be enabled or not

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()